software sources window takes long time to open with little user feedback

Bug #1073728 reported by Mark on 2012-10-31
152
This bug affects 31 people
Affects Status Importance Assigned to Milestone
software-properties (Ubuntu)
Low
Sami Jaktholm

Bug Description

I'm using Lubuntu 12.10 in a VirtualBox VM.

Run Software Updater. When the main window opens, click the Settings... button at the bottom left. The settings window takes several seconds to appear, and other than the main window contents being greyed out, there is no indication that anything is happening. (The CPU appears to be maxed-out until the settings window opens, so the delay would probably be much longer on slower machines.)

It would be good if a busy mouse pointer could be set, so the user knows something is happening, instead of possibly thinking that Software Updater has hung/locked up.

Each time you click Settings... there is the same long delay while the CPU is maxed-out doing whatever it's doing. Would it be possible to cache whatever is being calculated in order to open the settings window? Then if the user selects Settings... again in the same session, the settings window could appear almost immediately.

Another optimisation could be made for the delay after the user dismisses the settings window. If you close the settings window without making any changes, the CPU is again maxed-out for a few seconds before the Software Updater window is un-greyed-out. Since no changes were made, it should be possible for the Software Updater window to immediately become responsive in that case.

This is similar to bug 1070868 but from a different starting point. Fixing bug 780776 would be one way of fixing this bug.

Related branches

Robert Roth (evfool) on 2012-11-01
Changed in update-manager (Ubuntu):
status: New → Confirmed
importance: Undecided → Medium
affects: update-manager (Ubuntu) → software-properties (Ubuntu)
Changed in software-properties (Ubuntu):
importance: Medium → Undecided
status: Confirmed → New
summary: - Software Updater settings window takes long time to open with little
- user feedback
+ software sources window takes long time to open with little user
+ feedback
description: updated
Robert Roth (evfool) on 2012-11-09
Changed in software-properties (Ubuntu):
status: New → Confirmed
Sami Jaktholm (sjakthol) wrote :

Software Properties seem to spend most of the startup in the driver detection code: from a total of 9.2 seconds detect.system_device_drivers takes 7.2 seconds.

todaioan (alan-ar06) on 2012-11-25
Changed in software-properties (Ubuntu):
status: Confirmed → Fix Committed
Robert Roth (evfool) wrote :

@todaioan: If the fix has been committed, could you please link this bug to the branch the fix has been committed to (it should be the main branch), but if this has not been committed yet, please set it back to Confirmed and only set to update when you are absolutely positive that the fix is on the main branch (the best would be to also specify the revision number for easier checking). Thanks.

Changed in software-properties (Ubuntu):
status: Fix Committed → Confirmed
VinDSL (perfect-pecker) wrote :

Times are getting better. Last week it took approx 60 sec. for Software Sources window to appear.

Today, 37 seconds. Still too long, IMO...

vindsl@Zuul:~$ date
Sun Dec 9 12:08:15 MST 2012

vindsl@Zuul:~$ time software-properties-gtk
real 0m37.081s
user 0m21.212s
sys 0m0.668s

~ VinDSL Unity Debug Script 12.12.06 (vindsl.com) ~
Current Date/Time: Sun Dec 9 12:10:13 MST 2012
Distro Release: Ubuntu Raring Ringtail (development branch)
Kernel Release: Linux 3.7.0-030700rc8-generic
Gnome Release: GNOME Shell 3.7.2
Unity Release: unity 6.6.0
OpenGL vendor string: NVIDIA Corporation
OpenGL renderer string: GeForce 7600 GT/AGP/SSE2
OpenGL version string: 2.1.2 NVIDIA 304.64
Xserver Xorg Core Branch:
  Installed: 2:1.13.0.902+git20121207+server-1.13-branch.ede07c1a-0ubuntu0ricotz~quantal
Display Properties:
 lcd monitor: Dell UltraSharp 1907FP (analog input)
  dimensions: 1280x1024 pixels (339x271 millimeters)
  resolution: 96x96 dots per inch

Suhaimi Ghazali (serdotlinecho) wrote :

Tested on Ubuntu 13.04, netbook 1.6ghz and 2gig of RAM:

~$ date -R ; time software-properties-gtk
Mon, 10 Dec 2012 17:01:17 +0800
Fontconfig warning: "/etc/fonts/conf.d/50-user.conf", line 9: reading configurations from ~/.fonts.conf is deprecated.
gpg: /tmp/tmp3d6zsq/trustdb.gpg: trustdb created

real 0m18.634s
user 0m14.112s
sys 0m0.672s

Will it open just under 10s?

Mark (mark-k) wrote :

Just as a point of reference I timed the opening of software-properties-gtk on Lubuntu 11.10.

I initially ran software-properties-gtk a couple of times before timing it. Timing consisted of running the command below, clicking the Cancel button as soon as it appeared. With Core 2 Duo T8100 2.1GHz CPU I got

# time software-properties-gtk
gpg: /tmp/tmpwGGX4v/trustdb.gpg: trustdb created

real 0m0.999s
user 0m0.704s
sys 0m0.084s

todaioan (alan-ar06) on 2013-01-01
Changed in software-properties (Ubuntu):
status: Confirmed → Fix Released
Adolfo Jayme (fitojb) on 2013-01-01
Changed in software-properties (Ubuntu):
status: Fix Released → Triaged
tags: added: raring
tags: added: quantal
Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1073728

tags: added: iso-testing
Thomas (thcourbon) wrote :

As of 02-16-2013 I still encourter this on Ubuntu 12.10 (will all update). Took 15sec to load the software sources dialog with one of the CPU core maxed out.

Donjan Rodic (bryonak) wrote :

Same problem here, Ubuntu 13.04, waiting 10-20 seconds on a new machine every single start (even consequtive, obviously no caching).
The silly part is that I don't want or am even able to use "Additional Drivers", while editing the software sources on a 12.04 LTS system with much lower specs (and HDD instead of SSD) right next to this is nice and snappy.

Could we please do the driver detection only when this tab is selected? I can confidently claim that the vast majority of users spends much more time in the "Ubuntu Software", "Other Software" and "Updates" tabs than in the "Additional Drivers", plus Intel users (afairc the majority) and those who could but never install additional drivers shouldn't have to sit there while their machine is wasting cycles without purpose...

Sami Jaktholm (sjakthol) on 2013-05-25
Changed in software-properties (Ubuntu):
assignee: nobody → Sami Jaktholm (sjakthol)
status: Triaged → In Progress
Adolfo Jayme (fitojb) on 2013-05-25
Changed in software-properties (Ubuntu):
importance: Undecided → Low
Adolfo Jayme (fitojb) on 2013-05-27
Changed in software-properties (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package software-properties - 0.92.19

---------------
software-properties (0.92.19) saucy; urgency=low

  [ Scott Kostyshak ]
  * Improve error message when more than one repository argument is
    given. (LP: #1178015)
 -- Barry Warsaw <email address hidden> Tue, 28 May 2013 15:50:02 -0400

Changed in software-properties (Ubuntu):
status: Fix Committed → Fix Released

On 7/19/2013 12:12 PM, Hayjumper wrote:
> The referenced fix has to do with the clarity of an error message, not
> the startup performance of the package. Based on comments above and my
> own testing, the fix does not affect the subject of this bug report.
> Recommend this bug be set to Open or at least Won't Fix.
>
Not sure what you've been trying/testing, the fix vastly improves
startup time. However it's only available in 13.10, not 13.04
For 13.04 a patched package is here until one shows for raring, if ever..
https://launchpad.net/~mc3man/+archive/ss-speedup

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers